/*
 * Copyright (c) 2011 ScientiaMobile, Inc., VA, USA
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * Refer to the COPYING file distributed with this package.
 */
package net.sourceforge.wurfl.core;

/**
 * A general checked Exception thrown by WURFL API.
 * 
 * @author WURFL-PRO SRL, Rome, Italy
 * @version $Id: WURFLException.java 1045 2009-03-09 15:52:53Z filippo.deluca $
 */
public abstract class WURFLException extends Exception {

	/** Serial */
	private static final long serialVersionUID = 1L;

	/** Default constructor */
	public WURFLException() {
		super("Generic Exception in WURFL.");
	}

	/**
	 * Constructor by message.
	 * 
	 * @param message
	 *            A descriptive message of exception.
	 */
	public WURFLException(String message) {
		
		super(message);
	}

	/**
	 * Constructor by cause.
	 * 
	 * @param cause
	 *            The root cause of exception.
	 */
	public WURFLException(Throwable cause) {
		
		super(cause);
	}

	/**
	 * Constructor by message and cause.
	 * 
	 * @param message
	 *            A descriptive message of exception.
	 * @param cause
	 *            The root cause of exception.
	 */
	public WURFLException(String message, Throwable cause) {
		
		super(message, cause);
	}

}
