/*
 * Copyright (c) 2011 ScientiaMobile, Inc., VA, USA
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * Refer to the COPYING file distributed with this package.
 */
package net.sourceforge.wurfl.core;

/**
 * THis is a RuntimeException thrown by WURFL API.
 * 
 * @author WURFL-PRO SRL, Rome, Italy
 * @version $Id: WURFLRuntimeException.java 1045 2009-03-09 15:52:53Z filippo.deluca $
 */
public class WURFLRuntimeException extends RuntimeException {

	/** serial */
	private static final long serialVersionUID = 1L;

	/**
	 * Build WURFLRuntimeException.
	 */
	public WURFLRuntimeException() {
		super("WURFL unexpected exception");
	}

	/**
	 * Build WURFLRuntimeException from display message.
	 * 
	 * @param message
	 *            The message to display.
	 */
	public WURFLRuntimeException(String message) {
		super(message);
	}

	/**
	 * Build WURFLRuntimeException from display message and cause.
	 * 
	 * @param message
	 *            The message to display.
	 * @param cause
	 *            The cause of this exception.
	 */
	public WURFLRuntimeException(String message, Throwable cause) {
		super(message, cause);
	}

	/**
	 * Build WURFLRuntimeException from cause.
	 * 
	 * @param cause
	 *            The cause of this exception.
	 */
	public WURFLRuntimeException(Throwable cause) {
		super("WURFL unexpected exception", cause);
	}

}
