/*
 * Copyright (c) 2011 ScientiaMobile, Inc., VA, USA
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * Refer to the COPYING file distributed with this package.
 */
package net.sourceforge.wurfl.core.cache;

/**
 * A Nop {@link CacheProvider} implementation.
 * 
 * <p>
 * This implementation is mainly used for testing purposes, it do not anything
 * and return always null.
 * </p>
 * 
 * @author WURFL-PRO SRL, Rome, Italy
 * @version $Id: NullCacheProvider.java 1045 2009-03-09 15:52:53Z filippo.deluca $
 */
public class NullCacheProvider implements CacheProvider {

	public void clear() {
		// Empty
	}

	/**
	 * @return null always.
	 */
	public Object get(Object key) {
		return null;
	}

	public void put(Object key, Object value) {
		// Empty
	}

}
