/*
 * Copyright (c) 2011 ScientiaMobile, Inc., VA, USA
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * Refer to the COPYING file distributed with this package.
 */
package net.sourceforge.wurfl.core.handlers.matchers;

import java.util.SortedSet;

import net.sourceforge.wurfl.core.handlers.Handler;
import net.sourceforge.wurfl.core.handlers.matchers.strategy.MSIETokensProvider;
import net.sourceforge.wurfl.core.handlers.matchers.strategy.TokensMatcher;
import net.sourceforge.wurfl.core.handlers.matchers.strategy.TokensProvider;

public class MSIEMatcher extends AbstractMatcher {
	
	public static final int MSIE_TK_TOLLERANCE = 1;
	
	private static final TokensProvider msieProvider = new MSIETokensProvider();
	
	public MSIEMatcher(Handler handler) {
		super(handler);
	}
	
	/**
	 * Apply TK(1)
	 */
	protected String lookForMatchingUserAgent(SortedSet userAgentsSet, String userAgent) {
		
		if (logger.isDebugEnabled()) {
			logger.debug("Appling TK(MSIE_TK_TOLLERANCE) UA: " + userAgent);
		}

		String match = new TokensMatcher(msieProvider).match(userAgentsSet, userAgent, MSIE_TK_TOLLERANCE);
		
		return match;
	}


}
