/*
 * Copyright (c) 2011 ScientiaMobile, Inc., VA, USA
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * Refer to the COPYING file distributed with this package.
 */
package net.sourceforge.wurfl.core.handlers.matchers.strategy;

/**
 * Provide tokens for SPV user-agent contain a String like "OpVer 10.4.5.2".
 * 
 * @author WURFL-PRO SRL, Rome, Italy
 * @version $Id: SPVOpVerProvider.java 1045 2009-03-09 15:52:53Z filippo.deluca $
 */
public class SPVOpVerProvider extends RegexTokensProvider {

	private static String regex = "(.*)(SPV\\s+.+);(.*)\\s+OpVer\\s+(\\d+)\\.(\\d+)\\.(\\d+)\\.(\\d+)(.*)";

	public SPVOpVerProvider() {
		super(regex, new int[] { 16, 16, 16, 8, 4, 2, 1, 16 });
	}

}
