/*
 * Copyright (c) 2011 ScientiaMobile, Inc., VA, USA
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * Refer to the COPYING file distributed with this package.
 */
package net.sourceforge.wurfl.core.handlers.matchers.strategy;

import java.util.List;

/**
 * Provide tokens and respective weights to {@link TokensMatcher} instance.
 * 
 * @author WURFL-PRO SRL, Rome, Italy
 * @version $Id: TokensProvider.java 1045 2009-03-09 15:52:53Z filippo.deluca $
 */
public interface TokensProvider {

	/**
	 * Create the tokens used by {@link TokensMatcher}.
	 * 
	 * @param source
	 *            The source UA.
	 * @return List containing UA parsed tokens.
	 */
	public List createTokens(String source);

	/**
	 * Returns the weight of given UA.
	 * 
	 * @param index
	 *            The token index.
	 * @return int represents tokens weight.
	 */
	public int getTokenWeight(int index);

}
