/*
 * Copyright (c) 2011 ScientiaMobile, Inc., VA, USA
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * Refer to the COPYING file distributed with this package.
 */
package net.sourceforge.wurfl.core.request;

/**
 * BlackBerry normalizer.
 * 
 * <p>
 * Strips out the heading "BlackBerry" string.
 * </P>
 * 
 * @author WURFL-PRO SRL, Rome, Italy
 * @version $Id: BlackBerryNormalizer.java 1045 2009-03-09 15:52:53Z filippo.deluca $
 */
public class BlackBerryNormalizer implements UserAgentNormalizer {

	/**
	 * Replaces the heading "BlackBerry" string with "".
	 */
	public String normalize(String userAgent) {

		String normalizedUserAgent = userAgent;

		int index = userAgent.indexOf("BlackBerry");

		if (index != -1 && index > 0) {

			normalizedUserAgent = userAgent.substring(index);

		}
		
		return normalizedUserAgent;
	}

}
