/*
 * Copyright (c) 2011 ScientiaMobile, Inc., VA, USA
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * Refer to the COPYING file distributed with this package.
 */
package net.sourceforge.wurfl.core.utils;


import java.util.Enumeration;
import java.util.Iterator;

import javax.servlet.http.HttpServletRequest;

import org.apache.commons.collections.IteratorUtils;
import org.apache.commons.lang.Validate;

public class RequestUtils {
	
	public static boolean containsHeader(HttpServletRequest request, String match){
		
		Validate.notNull(request, "The request is null");
		Validate.notEmpty(match, "The match is empty");
		
		Enumeration headers = request.getHeaderNames();
		Iterator hIt = IteratorUtils.asIterator(headers);
		
		while(hIt.hasNext()){
			String header = (String)hIt.next();
			if(org.apache.commons.lang.StringUtils.contains(header, match)){
				return true;
			}
		}
		
		return false;

	}

}
